<?php
/* Affichage des liens :
[1] Tous
[2] Lire, Signer, Admin
[3] Lire, Signer
[4] Lire, Signer, Retour  l'accueil.


Menu de :
-livre_lire.php
-livre_signer.php
*/

if ($ze_menu_entete == 'alpha')
{
    fct_cadre_menu_de_navigation_H();

        echo '    <table class="cadre_menu_de_navigation">'."\n";
        echo '        <tr>'."\n";

        ## 1ere ligne : Lire le livre d'or et Signer le livre d'or

        // Ici si c'est l'interface de Signature, on met le lien actif vers livre_lire.php
        if ($prem_ligne == 'alpha_signer')
        {
            echo '            <td class="td_padding_menu align_center_w50">'."\n";
            echo '                <a href="livre_lire.php?lng_sel='.$lng_sel.'" class="liens_menu" title="">'.$LANG_lire.'</a>'."\n";
            echo '            </td>'."\n\n";
            echo '            <td class="td_padding_menu align_center_w50 couleur_du_texte">'."\n";
            echo '                '.$LANG_signer."\n";
            echo '            </td>'."\n";
        }

        // Sinon si c'est l'interface de Lecture, on met le lien actif vers livre_signer.php
        if ($prem_ligne == 'alpha_lire')
        {
            echo '            <td class="td_padding_menu align_center_w50 couleur_du_texte">'."\n";
            echo '                '.$LANG_lire."\n";
            echo '            </td>'."\n\n";
            echo '            <td class="td_padding_menu align_center_w50">'."\n";
            echo '                <a href="livre_signer.php?lng_sel='.$lng_sel.'" class="liens_menu" title="">'.$LANG_signer.'</a>'."\n";
            echo '            </td>'."\n";
        }

        echo '        </tr>'."\n";

        ## 2eme ligne : [1] Retour  l'accueil et Admin
        ##              [2] Admin uniquement
        ##              [4] Retour  l'accueil uniquement

        echo '        <tr>'."\n";

        // On met les liens : Retour  l'accueil et Admin
        if ($option_menu == 1)
        {
            echo '            <td align="left" class="td_padding_menu">'."\n";
            echo '                <a href="'.$nom_url_accueil_site.'" class="liens_menu" title="">'.$LANG_accueil.'</a>'."\n";
            echo '            </td>'."\n\n";
            echo '            <td align="right" class="td_padding_menu">'."\n";
            echo '                <a href="admin_pass.php?lng_sel='.$lng_sel.'" class="liens_menu" title="">'.$LANG_admin.'</a>'."\n";
            echo '            </td>'."\n";
        }
        // On met le lien : Admin uniquement
        elseif ($option_menu == 2)
        {
            echo '            <td align="center" colspan="2" class="td_padding_menu">'."\n";
            echo '                <a href="admin_pass.php?lng_sel='.$lng_sel.'" class="liens_menu" title="">'.$LANG_admin.'</a>'."\n";
            echo '            </td>'."\n";
        }
        // On met le lien : Retour  l'accueil uniquement
        elseif ($option_menu == 4)
        {
            echo '            <td align="center" colspan="2" class="td_padding_menu">'."\n";
            echo '                <a href="'.$nom_url_accueil_site.'" class="liens_menu" title="">'.$LANG_accueil.'</a>'."\n";
            echo '            </td>'."\n";
        }

        echo '        </tr>'."\n";
        echo '    </table>'."\n";

    fct_cadre_menu_de_navigation_B();
}



// Menu admin_pass.php
if ($ze_menu_entete == 'charlie')
{
    fct_cadre_menu_de_navigation_H();

        ## 1ere ligne : Lire le livre d'or et Signer le livre d'or
        echo '    <table width="100%" class="cadre_menu_de_navigation">'."\n";
        echo '        <tr>'."\n";
        echo '            <td class="td_padding_menu align_center_w50">'."\n";
        echo '                <a href="livre_lire.php?lng_sel='.$lng_sel.'" class="liens_menu" title="">'.$LANG_lire.'</a>'."\n";
        echo '            </td>'."\n";
        echo '            <td class="td_padding_menu align_center_w50">'."\n";
        echo '                <a href="livre_signer.php?lng_sel='.$lng_sel.'" class="liens_menu" title="">'.$LANG_signer.'</a>'."\n";
        echo '            </td>'."\n";
        echo '        </tr>'."\n";

        ## 2eme ligne : [1] Retour  l'accueil uniquement
        ##              [4] Retour  l'accueil uniquement (Normalement aucun intrt  mettre le lien ici)
        /* On suppose que ceux qui ont choisit l'option 2 ou 3 ne veulent pas le lien de "Retour  l'accueil"
        Parce que leur livre se trouve dans une I-Frame. */
        echo '        <tr>'."\n";

        if ($option_menu == 1 or $option_menu == 4)
        {
            echo '            <td align="center" colspan="2" class="td_padding_menu">'."\n";
            echo '                <a href="'.$nom_url_accueil_site.'" class="liens_menu" title="">'.$LANG_accueil.'</a>'."\n";
            echo '            </td>'."\n";
        }

        echo '        </tr>'."\n";
        echo '    </table>'."\n";

    fct_cadre_menu_de_navigation_B();
}

// Menu Sessions DECONNEXION et ADMIN
if ($ze_menu_entete == 'menu_sessions')
{
    fct_cadre_menu_de_navigation_H();

        ## 1ere et unique ligne :  DECONNEXION et Admin
        echo '    <table width="100%" class="cadre_menu_de_navigation">'."\n";
        echo '        <tr>'."\n";
        echo '            <td class="td_padding_menu align_center_w50">'."\n";
        echo '                <a href="admin_pass.php?logout=1&amp;lng_sel='.$lng_sel.'" class="liens_menu" title=""><strong>'.$LANG_deconnection.'</strong></a>'."\n";
        echo '            </td>'."\n";
        echo '            <td class="td_padding_menu align_center_w50">'."\n";
        echo '                <a href="admin_pass.php?lng_sel='.$lng_sel.'" class="liens_menu" title="">'.$LANG_admin.'</a>'."\n";
        echo '            </td>'."\n";
        echo '        </tr>'."\n";
        echo '    </table>'."\n";

        fct_cadre_menu_de_navigation_B();
}
// Fin des menus


#-------------------------------------------------------------------------------
// Les drapeaux se trouvant sous les menu  style="margin: 0; padding: 0"
echo '<div class="cont_drp">'."\n";

// Pour afficher &amp;smd=1 uniquement lorsque $messages_differes == 1
if ($messages_differes == 1)
{
    $var_smd = '&amp;smd=1';
}
else
{
    $var_smd = '';
}

// On rcupre les langues autorises grace  "$langue_sur_livre" du fichier "chmod_perso/cfg_param_intro.php".
// Recup des champs selected
$langues_affichees = explode('|', $langue_sur_livre);

/* On compte le nombre de langue et s'il y en  plus d'une alors on affiche leur drapeaux,
sinon cela veut dire qu'il n'y a qu'une seule langue et donc on n'affiche pas son drapeaux. */
$tot_langues_affichees = count($langues_affichees);
if ($tot_langues_affichees > 1)
{

    for ($i = 0; $i < $tot_langues_affichees; $i++)
    {
        // Chargement du fichier de config de chaque langues : "langue.cfg".
        include 'langues/'.$langues_affichees[$i].'/langue.cfg';


        if($nm_int_act == 'supp_livre')
        {
            echo '<a href="suppression_livre.php?pg='.$pg.'&amp;lng_sel='.$lng_id.'" title="'.$lng_ib.'"><img src="langues/'.$langues_affichees[$i].'/drp.gif" width="22" height="14" style="vertical-align: middle;" alt="'.$lng_ib.'"'.$slash.'></a>';
        }
        elseif($nm_int_act == 'livre_signer_ad')
        {
            echo '<a href="livre_signer_admin.php?lng_sel='.$lng_id.'" title="'.$lng_ib.'"><img src="langues/'.$langues_affichees[$i].'/drp.gif" width="22" height="14" style="vertical-align: middle;" alt="'.$lng_ib.'"'.$slash.'></a>';
        }
        elseif($nm_int_act == 'modif_son_mdp')
        {
            echo '<a href="modifier_son_mdp.php?lng_sel='.$lng_id.'" title="'.$lng_ib.'"><img src="langues/'.$langues_affichees[$i].'/drp.gif" width="22" height="14" style="vertical-align: middle;" alt="'.$lng_ib.'"'.$slash.'></a>';
        }
        elseif($nm_int_act == 'aj_blacklist_url')
        {
            echo '<a href="ajout_blacklist_url.php?lng_sel='.$lng_id.'" title="'.$lng_ib.'"><img src="langues/'.$langues_affichees[$i].'/drp.gif" width="22" height="14" style="vertical-align: middle;" alt="'.$lng_ib.'"'.$slash.'></a>';
        }
        elseif($nm_int_act == 'livre_edit')
        {
            echo '<a href="edit.php?editnum='.$editnum.'&amp;lng_sel='.$lng_id.'" title="'.$lng_ib.'"><img src="langues/'.$langues_affichees[$i].'/drp.gif" width="22" height="14" style="vertical-align: middle;" alt="'.$lng_ib.'"'.$slash.'></a>';
        }
        elseif($nm_int_act == 'livre_lire')
        {
            echo '<a href="livre_lire.php?pg='.$pg.'&amp;lng_sel='.$lng_id.'" title="'.$lng_ib.'"><img src="langues/'.$langues_affichees[$i].'/drp.gif" width="22" height="14" style="vertical-align: middle;" alt="'.$lng_ib.'"'.$slash.'></a>';
        }
        elseif($nm_int_act == 'livre_signer')
        {
            echo '<a href="livre_signer.php?lng_sel='.$lng_id.$var_smd.'" title="'.$lng_ib.'"><img src="langues/'.$langues_affichees[$i].'/drp.gif" width="22" height="14" style="vertical-align: middle;" alt="'.$lng_ib.'"'.$slash.'></a>';
        }
        else
        {
            echo '<a href="'.$nm_int_act.'.php?lng_sel='.$lng_id.'" title="'.$lng_ib.'"><img src="langues/'.$langues_affichees[$i].'/drp.gif" width="22" height="14" style="vertical-align: middle;" alt="'.$lng_ib.'"'.$slash.'></a>';
        }
    }

}
else // Si on met pas de drapeau alors on remplace par une heuteur quivalente.
{
    echo '<div class="hauteur_drapeau"></div>'."\n\n";
}

echo "\n".'</div>'."\n\n";
?>