<?php
include '../inc/function.php';
include '../inc/vars_init_no_exist.php';
$chemin_fichier_01 = '../chmod_perso/mdp.php';
$chemin_fichier_02 = '../chmod_perso/cfg_param_intro.php';
$chemin_fichier_03 = '../chmod_perso/chemin.php';
include $chemin_fichier_01;
include $chemin_fichier_02;
include $chemin_fichier_03;

#----- Initialisation des variables
empty($_GET['st'])          ? $st = '10'       : $st = $_GET['st'];
empty($_POST['enrg'])       ? $enrg = ''       : $enrg = $_POST['enrg'];
empty($_POST['pass'])       ? $pass = ''       : $pass = $_POST['pass'];
empty($_POST['nvpass'])     ? $nvpass = ''     : $nvpass = $_POST['nvpass'];
empty($_POST['confnvpass']) ? $confnvpass = '' : $confnvpass = $_POST['confnvpass'];
empty($_GET['ab'])          ? $ab = 0          : $ab = $_GET['ab'];

empty($_POST['nv_fai'])                  ? $nv_fai = ''                  : $nv_fai = $_POST['nv_fai'];
empty($_POST['nv_nom_url_accueil_site']) ? $nv_nom_url_accueil_site = '' : $nv_nom_url_accueil_site = $_POST['nv_nom_url_accueil_site']; // Inutile?
empty($_POST['nv_langue_sur_livre'])     ? $nv_langue_sur_livre = ''     : $nv_langue_sur_livre = $_POST['nv_langue_sur_livre'];
empty($_POST['nv_langue_par_defaut'])    ? $nv_langue_par_defaut = ''    : $nv_langue_par_defaut = $_POST['nv_langue_par_defaut'];
empty($_POST['nv_active_SAS'])           ? $nv_active_SAS = ''           : $nv_active_SAS = $_POST['nv_active_SAS'];

#----- Var pour rcriture du fichier texte :
empty($_POST['formatage'])     ? $formatage = 'non'     : $formatage = $_POST['formatage'];
empty($_POST['suppr_fichier']) ? $suppr_fichier = 'non' : $suppr_fichier = $_POST['suppr_fichier'];

$versionPEI = 'v0.2';
#----- Les fonctions
function affiche_sep ()
{
    echo '<div class="sep">';
    echo '<img src="../images/sep.gif" width="200" height="2" />';
    echo '</div><br />';
}
function affiche_entete ()
{
    echo '<div class="title"><img src="../images/install.gif" align="middle"> &nbsp;&nbsp;&nbsp;&nbsp;Mise &agrave; jour de A.I-Pifou, Livre d\'or.</div>';
    affiche_sep ();
}


#-----
function acces_ecriture($chemin_du_fichier, $nom_du_fichier)
{
    if (@!file_exists($chemin_du_fichier)) // Si le fichier n'est pas prsent on le signale
    {
        echo '<span class="erreur">&raquo; &quot;<strong>'.$nom_du_fichier.'</strong>&quot; n\'est pas pr&eacute;sent.<br />Vous avez d&ucirc; oublier de le transferrer.</span><br /><br />';
    }
    else
    {
        if (@is_writable($chemin_du_fichier)) // Sinon s'il est l, on vrifie si on peut crire dedant
        {
            echo '<span class="noerreur">&raquo; &quot;<strong>'.$nom_du_fichier.'</strong>&quot; est accessible en &eacute;criture.</span><br /><br />';
        }
        else
        {
            echo '<span class="erreur">&raquo; "<strong>'.$nom_du_fichier.'</strong>" n\'est pas accessible en &eacute;criture, effectuez un CHMOD777 sur ce fichier.</span><br /><br />';
        }
    }
} // Fin fonction

#-----
function existe_encore($nom_fichier)
{
    $mess_plus = '';
    if ($nom_fichier == 'index.php') {$mess_plus = '[Dangereux, &agrave; effacer IMP&Eacute;RATIVEMENT]';}

    if (@file_exists($nom_fichier)) // Si le fichier n'est pas prsent on le signale
    {
        echo '<span class="erreur">&raquo; &quot;<strong>'.$nom_fichier.'</strong>&quot; n\'a pas pu &ecirc;tre effac&eacute;. '.$mess_plus.'<br /></span>';
    }
    else
    {
        echo '<span class="noerreur">- &quot;<strong>'.$nom_fichier.'</strong>&quot; a bien &eacute;t&eacute; effac&eacute;.<br /></span>';
    }
} // Fin fonction


#-----
// Sert  changer la valeur des variables de config
function change($nom, $new, $chemin_du_fichier_de_configuration)
{
//global $chemin_fichier_02;

    if(!empty($nom) && !empty($new))
    {
        $list = file($chemin_du_fichier_de_configuration);

            for($i = 1; $i < count($list) - 1 && !empty($list[$i]); $i++)
            {
                $tab = explode(' = ', $list[$i]);
                $tab[0] = str_replace("\$", '', $tab[0]);
                if($nom == $tab[0])
                {
                    $tab[1] = " = '$new';\n";
                }
                else
                {
                    $tab[1] = " = $tab[1]";
                }
                $list[$i] = "\$$tab[0]$tab[1]";
            }

            $data = '';
            for($i = 1; $i < count($list) - 1 && !empty($list[$i]); $i++)
            {
                $data = $data.$list[$i];
            }
            $fd = fopen($chemin_du_fichier_de_configuration, 'w');
            fwrite($fd, "<?php\n".$data."?".">");
            fclose($fd);
    }
} // Fin fonction

function conversion($chaine)
{
    $chaine = trim($chaine);
    $chaine = ereg_replace('[ ]{2,}', ' ', $chaine);
    return $chaine;
}

?>

<html>
<head>
<title>A.I-Pifou, Livre d'or EasyInstall</title>
<style>
body {background-color: #FFFFFF; font-family: Verdana, Arial, Helvetica; font-size: 11px; margin-top: 6px;}

.titre_st {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #94A8EC; font-weight: bold; }
.tab_gn {
    width: 75%;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    color: #000000;
    font-size: 12px;
    border: #000000 2px solid;
    padding: 0px 10px 10px 10px;
    text-align: left;
}

.sep {text-align: center;}
.erreur {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #FF0000; /*font-weight: bold;*/}
.noerreur {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #00CE00; /*font-weight: bold;*/}

input {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #000000; font-weight: bold;}
select {font-family: Verdana, Arial, Helvetica; font-size: 12px; color: #000000; font-weight: bold;}

a.liens {color:#FF0000; background-color:none;text-decoration: underline overline ; font-weight:none;}
a.liens:hover {color:#767676; background-color:none;text-decoration:underline overline; position:relative; left:1px; top:1px;}
</style>
</head>

<body>
<div align="center">
<?php
################################################################################ 10
// Le dpart
if ($st == '10')
{
    echo '<div class="tab_gn">';

    affiche_entete ();

    echo '<strong><span class="titre_st">Mise &agrave; jour simplifi&eacute;e de A.I-Pifou, Livre d\'or.</span></strong>';
    echo '<br /><br />';

    echo 'Avant d\'aller plus loin, il faut v&eacute;rifier que tous les fichiers constituants A.I-Pifou, Livre d\'or ';
    echo 'ont bien &eacute;t&eacute; envoy&eacute;s sur le serveur.<br />';
    echo 'Cliquez sur le lien ci-dessous.<br /><br />';

    echo '<div align="center">';
    echo '<a href="../verification_fichiers.php" class="liens" target="_blank" title=""><b>V&eacute;rification &agrave; faire</b></a><br /><br />';
    echo '</div>';

    echo '<strong>ATTENTION</strong>, si cela &eacute;tait n&eacute;cessaire chez votre h&eacute;bergeur, vous devez avoir appliqu&eacute; les CHMOD\'s sur les fichiers et dossiers, comme il &eacute;tait indiqu&eacute; dans la doc d\'install.<br />';
    echo 'Ceci sera de toute fa&ccedil;on v&eacute;rifi&eacute; dans la fen&ecirc;tre suivante.<br /><br />';

    echo '&raquo; Votre version PHP est : <strong>'.phpversion().'</strong>';
    echo '<br /><br />Cliquez sur &quot;Suivant&quot;.';
    echo '<br /><br />';

    affiche_sep ();

    echo '<div align="right"><a href="index.php?st=20"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';
    //echo '<div align="right"><input type="submit" name="bouton_suivant" value="Suivant &gt;&gt;" /></div>';

    echo '</div>';
}

################################################################################ 20
if ($st == '20')
{
    @chmod('../chmod_perso/cfg_choix_skin.php', 0777);
    @chmod('../chmod_perso/cfg_param_intro.php', 0777);
    @chmod('../chmod_perso/chemin.php', 0777);
    @chmod('../chmod_perso/code_ecrit.php', 0777);
    @chmod('../chmod_perso/dico_flood.php', 0777);
    @chmod('../chmod_perso/'.$nom_fichier_des_messages, 0777);
    @chmod('../chmod_perso/'.$nom_fichier_des_messages_diff, 0777);
    @chmod('../chmod_perso/mdp.php', 0777);
    @chmod('../chmod_perso/messages_accueil.php', 0777);
    @chmod('../chmod_perso/scroll_pifou.css', 0777);

    echo '<div class="tab_gn">';
    affiche_entete ();

    echo '<strong><span class="titre_st">V&eacute;rification...</span></strong><br /><br />';

    echo 'V&eacute;rifications ici, pour savoir si les fichiers sur lesquels A.I-Pifou va &eacute;crire, sont bien pr&eacute;sents et si c\'est le cas, pour savoir s\'ils peuvent &ecirc;tre modifi&eacute;s.<br />';
    echo 'Tant que tout est vert alors pas besoin de paniquer.<br /><br />';

    acces_ecriture('../chmod_perso/cfg_choix_skin.php', 'cfg_choix_skin.php');
    acces_ecriture('../chmod_perso/cfg_param_intro.php', 'cfg_param_intro.php');
    acces_ecriture('../chmod_perso/chemin.php', 'chemin.php');
    acces_ecriture('../chmod_perso/code_ecrit.php', 'code_ecrit.php');
    acces_ecriture('../chmod_perso/dico_flood.php', 'dico_flood.php');
    acces_ecriture('../chmod_perso/'.$nom_fichier_des_messages, $nom_fichier_des_messages);
    acces_ecriture('../chmod_perso/'.$nom_fichier_des_messages_diff, $nom_fichier_des_messages_diff);
    acces_ecriture('../chmod_perso/mdp.php', 'mdp.php');
    acces_ecriture('../chmod_perso/messages_accueil.php', 'messages_accueil.php');
    acces_ecriture('../chmod_perso/scroll_pifou.css', 'scroll_pifou.css');

    echo '<br />Cliquez sur &quot;Suivant&quot;';
    echo '<br /><br />';

    affiche_sep ();

    echo '<div align="right"><a href="index.php?st=10"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
    echo ' <a href="index.php?st=20"><img src="bout_actualiser.gif" border="0" width="100" height="22" alt="Actualiser"></a>';
    echo ' <a href="index.php?st=30"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</div>';
} // FIN de 20


################################################################################ 30 FORMATAGE v200
if ($st == '30')
{
    echo '<div class="tab_gn">';

    affiche_entete ();

    echo 'Avant d\'aller plus loin, il faut formater le fichier contenant les messages et r&eacute;ponses de votre A.I-Pifou, Livre d\'or.<br />';
    echo 'Parce que <span class="erreur">le fichier de l\'ancienne version de votre livre d\'or n\'est plus compatible</span>.<br /><br />';

    if ($vrs_formatage != '200')
    {
        echo 'Cliquez sur le bouton ci-dessous.<br /><br />';


        if ($formatage != 'oui')
        {
            echo'<br /><br /><br />';

            echo '<form method="post" action="?st=30" name="formulaire">';
                echo '<div align="center">';
                    echo '<input type="hidden" name="formatage" value="oui" />';
                    echo '<input type="submit" value="Formater" />';
                echo '</div>';
            echo '</form>';
        }


        if ($formatage == 'oui')
        {
            //Sauvegarde avec un nom alatoire de livre.txt avant formatage.
            copy('../chmod_perso/'.$nom_fichier_des_messages, '../chmod_perso/livre_temp');
            $bak_sel = substr(md5(mt_rand()), 0, 6);
            $bak_final = 'livre_'.$bak_sel.'.bak';

            rename('../chmod_perso/livre_temp', '../chmod_perso/'.$bak_final);

            #########################################################################################
            ## Explication, de la faon dont sont stocks les messages dans le fichier "livre.txt" ##
            #########################################################################################
            $tablo_mess_livre = file('../chmod_perso/'.$nom_fichier_des_messages);
            $nb_ligne_tablo_mess_livre = count($tablo_mess_livre) - 1;
            $nb_messages = $nb_ligne_tablo_mess_livre / 2;

            for ($compteur = 1; $compteur <= $nb_messages; $compteur++)
            {
                $donnees = explode('|', $tablo_mess_livre[($compteur*2)-1]);
                $date[$compteur] = trim($donnees[0]);
                $heure[$compteur] = trim($donnees[1]);
                $passentboss[$compteur] = trim($donnees[2]);
                $ip_vst[$compteur] = trim($donnees[3]);
                $sond[$compteur] = trim($donnees[4]);
                $nom[$compteur] = trim($donnees[5]);
                $email[$compteur] = trim($donnees[6]);
                $pays[$compteur] = trim($donnees[7]);
                $url[$compteur] = trim($donnees[8]);
                $message_rep[$compteur] = trim($donnees[9]);

                $message[$compteur] = trim($tablo_mess_livre[($compteur*2)]);
            }


            $fp = fopen('../chmod_perso/'.$nom_fichier_des_messages, 'w+');
            fwrite($fp, "Pifou, Livre d'or, tlcharg sur http://actif-video.chez-alice.fr/index.php\n");

            for ($compteur = 1; $compteur <= $nb_messages; $compteur++)
            {
                $nom[$compteur] = conversion($nom[$compteur]);

                if ($email[$compteur] == 'nomail') {$email[$compteur] = '';}
                $email[$compteur] = conversion($email[$compteur]);

                if ($url[$compteur] == 'nohttp') {$url[$compteur] = '';}
                $url[$compteur] = conversion($url[$compteur]);

                if ($pays[$compteur] == '...') {$pays[$compteur] = 'France';}
                $pays[$compteur] = conversion($pays[$compteur]);

                if ($sond[$compteur] == 'nul') {$sond[$compteur] = '';}
                $sond[$compteur] = conversion($sond[$compteur]);

                // Petite ruse pour les " remplac par &quot;
                $message[$compteur] = preg_replace('`<img src="images/smileys/(.+?).gif" align="absmiddle" border="0" alt="" />`', '<img src=images/smileys/\\1.gif align=bottom border=0 alt= />', $message[$compteur]);
                $message[$compteur] = preg_replace('`<img src="(.+?)" border="0" alt="" />`', '<img src=\\1 border=0 alt= />', $message[$compteur]);

                $message[$compteur] = preg_replace('`<a href="(.+?)" target="_blank" class="liens" title="">`', '<a href=\\1 target=_blank class=liens title=>', $message[$compteur]);
                $message[$compteur] = preg_replace('`<font color="(.+?)" >`', '<font color=\\1 >', $message[$compteur]);
                $message[$compteur] = preg_replace('`<div align="(.+?)" >`', '<div align=\\1 >', $message[$compteur]);

                $message[$compteur] = str_replace('\\', '\\\\', $message[$compteur]); // Imperativement la sinon le slash d'echappement de l'apostrophe est doubl
                $message[$compteur] = str_replace('\'', '\\\'', $message[$compteur]);
                $message[$compteur] = str_replace('"', '&quot;', $message[$compteur]);

                $message[$compteur] = preg_replace('`<img src=images/smileys/(.+?).gif align=bottom border=0 alt= />`', '<img src="images/smileys/\\1.gif" align="bottom" alt="" />', $message[$compteur]);
                $message[$compteur] = preg_replace('`<img src=(.+?) border=0 alt= />`', '<img src="\\1" align="bottom" alt="" />', $message[$compteur]);

                $message[$compteur] = preg_replace('`<a href=(.+?) target=_blank class=liens title=>`', '<a href="\\1" target="_blank" class="liens" title="">', $message[$compteur]);
                $message[$compteur] = preg_replace('`<font color=(.+?) >`', '<font color="\\1">', $message[$compteur]);
                $message[$compteur] = preg_replace('`<div align=(.+?) >`', '<div align="\\1">', $message[$compteur]);

                $message[$compteur] = conversion($message[$compteur]);

                #----------
                if ($message_rep[$compteur] == 'norep') {$message_rep[$compteur] = '';}

                $message_rep[$compteur] = preg_replace('`<img src="images/smileys/(.+?).gif" align="absmiddle" border="0" alt="" />`', '<img src=images/smileys/\\1.gif align=bottom border=0 alt= />', $message_rep[$compteur]);
                $message_rep[$compteur] = preg_replace('`<img src="(.+?)" border="0" alt="" />`', '<img src=\\1 border=0 alt= />', $message_rep[$compteur]);

                $message_rep[$compteur] = preg_replace('`<a href="(.+?)" target="_blank" class="liens" title="">`', '<a href=\\1 target=_blank class=liens title=>', $message_rep[$compteur]);
                $message_rep[$compteur] = preg_replace('`<font color="(.+?)" >`', '<font color=\\1 >', $message_rep[$compteur]);
                $message_rep[$compteur] = preg_replace('`<div align="(.+?)" >`', '<div align=\\1 >', $message_rep[$compteur]);

                $message_rep[$compteur] = str_replace('\\', '\\\\', $message_rep[$compteur]); // Imperativement la sinon le slash d'echappement de l'apostrophe est doubl
                $message_rep[$compteur] = str_replace('\'', '\\\'', $message_rep[$compteur]);
                $message_rep[$compteur] = str_replace('"', '&quot;', $message_rep[$compteur]);

                $message_rep[$compteur] = preg_replace('`<img src=images/smileys/(.+?).gif align=bottom border=0 alt= />`', '<img src="images/smileys/\\1.gif" align="bottom" alt="" />', $message_rep[$compteur]);
                $message_rep[$compteur] = preg_replace('`<img src=(.+?) border=0 alt= />`', '<img src="\\1" align="bottom" alt="" />', $message_rep[$compteur]);

                $message_rep[$compteur] = preg_replace('`<a href=(.+?) target=_blank class=liens title=>`', '<a href="\\1" target="_blank" class="liens" title="">', $message_rep[$compteur]);
                $message_rep[$compteur] = preg_replace('`<font color=(.+?) >`', '<font color="\\1">', $message_rep[$compteur]);
                $message_rep[$compteur] = preg_replace('`<div align=(.+?) >`', '<div align="\\1">', $message_rep[$compteur]);

                $message_rep[$compteur] = conversion($message_rep[$compteur]);


                fwrite($fp, $date[$compteur].'|'.$heure[$compteur].'|'.$passentboss[$compteur].'|oui|'.$ip_vst[$compteur].'|'.$sond[$compteur].'|'.$nom[$compteur].'|'.$email[$compteur].'|'.$pays[$compteur].'|'.$url[$compteur].'|'.$message_rep[$compteur]."|\n");
                fwrite($fp, $message[$compteur]."|\n");  // Sur la 2me ligne, Ca c'est le message
            }
            fclose($fp);

            // On rcrit la variable $vrs_formatage = '200'; pour ne pas reformater une 2me fois le fichier des messages.
            change('vrs_formatage', '200', $chemin_fichier_03);

            //$nb_messages = 1; // Debug
            $nb_messages > 1 ? $mess_sing_plur = ' messages ont &eacute;t&eacute; format&eacute;s.' : $mess_sing_plur = ' message a &eacute;t&eacute; format&eacute;.';

            // Message explicatif final pour dire que tout est OK
            echo '<br /><br /><br />';
            echo 'Votre fichier &quot;<strong>'.$nom_fichier_des_messages.'</strong>&quot; &agrave; bien &eacute;t&eacute; r&eacute;&eacute;crit.<br />';
            echo $nb_messages.$mess_sing_plur.'<br /><br />';

            echo '<br /><br />Cliquez sur &quot;Suivant&quot;.';
            echo '<br /><br />';

            affiche_sep ();

            echo '<div align="right"><a href="index.php?st=35"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';
        }
    }
    else
    {
        // Message explicatif final pour dire que tout est OK
        echo '<br /><br />';
        echo '<span class="erreur">Votre fichier &quot;<strong>'.$nom_fichier_des_messages.'</strong>&quot; &agrave; d&eacute;j&agrave; &eacute;t&eacute; r&eacute;&eacute;crit.</span><br />';

        echo '<br /><br />Cliquez sur &quot;Suivant&quot;.';
        echo '<br /><br />';

        affiche_sep ();

        echo '<div align="right"><a href="index.php?st=35"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';
 
    }




    echo '</div>';
} // FIN de 30



################################################################################ 35
if ($st == '35')
{
    $code_final = substr(md5(mt_rand()), 0, 6);

    $ancien_nom_livre = $nom_fichier_des_messages;
    $ancien_nom_livre_diff = $nom_fichier_des_messages_diff;

    $nouveau_nom_livre = 'livre_'.$code_final.'.txt';
    $nouveau_nom_livre_diff = 'livre_diff_'.$code_final.'.txt';
    //Nouvelle valeur ds fichier a enregistrer
    rename('../chmod_perso/'.$nom_fichier_des_messages, '../chmod_perso/'.$nouveau_nom_livre);
    rename('../chmod_perso/'.$nom_fichier_des_messages_diff, '../chmod_perso/'.$nouveau_nom_livre_diff);

    change('nom_fichier_des_messages', $nouveau_nom_livre, $chemin_fichier_03);
    change('nom_fichier_des_messages_diff', $nouveau_nom_livre_diff, $chemin_fichier_03);

    echo '<div class="tab_gn">';

    affiche_entete ();

    echo '<strong><span class="titre_st">Modification automatique de certains fichiers.</span></strong>';
    echo '<br /><br />';

    echo 'Deux fichiers ont &eacute;t&eacute; renomm&eacute;s pour plus de s&eacute;curit&eacute;.<br />';
    echo 'Ceux-ci ne doivent pas pouvoir &ecirc;tre list&eacute;s par n\'importe qui.<br /><br />';

    echo '- Le fichier &quot;<strong>'.$ancien_nom_livre.'</strong>&quot; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;devient &quot;<strong>'.$nouveau_nom_livre.'</strong>&quot;.<br />';
    echo '- Le fichier &quot;<strong>'.$ancien_nom_livre_diff.'</strong>&quot; devient &quot;<strong>'.$nouveau_nom_livre_diff.'</strong>&quot;.<br /><br />';

        echo 'Cliquez sur &quot;Suivant&quot;';
        echo '<br /><br />';

    affiche_sep ();

                      echo '<div align="right"><a href="index.php?st=200"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

    echo '</div>';
} // FIN de 35



################################################################################ 200 Fenetre avertissement on efface tout suite = 210
if ($st == '200') {

echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">Effacement des fichiers.</span></strong>';
echo '<br /><br />';

echo 'Vous allez maintenant effacer tous les fichiers qui ont &eacute;t&eacute; utilis&eacute;s durant cette installation.<br /><br />';
echo '<strong><span class="erreur">ATTENTION :</span></strong> chez certains h&eacute;bergeurs, il se peut que les fichiers ne veuillent pas s\'effacer.<br />';
echo 'Cela vous sera signal&eacute;.<br /><br />';

echo '<br /><br />';
echo 'Cliquez sur &quot;Suivant&quot;';
echo '<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="index.php?st=90"><img src="bout_precedent.gif" border="0" width="100" height="22" alt="Pr&eacute;c&eacute;dent"></a>';
                  echo ' <a href="index.php?st=210"><img src="bout_suivant.gif" border="0" width="100" height="22" alt="Suivant"></a></div>';

echo '</div>';
}


################################################################################ 210
if ($st == '210') {
#---------------------------------------------------- ON EFFACE TOUT -----------
//*
@unlink ('bout_actualiser.gif');
@unlink ('bout_modifier.gif');
@unlink ('bout_precedent.gif');
@unlink ('bout_suivant.gif');
@unlink ('bout_termine.gif');
@unlink ('bout_valider.gif');
@unlink ('index.php');
@unlink ('install.gif');
@unlink ('sep.gif');
@unlink ('Thumbs.db');
@rmdir('../install');
//*/

#-----
echo '<div class="tab_gn">';

affiche_entete ();

echo '<strong><span class="titre_st">Installation termin&eacute;e.</span></strong>';
echo '<br /><br />';

echo '<strong><span class="erreur">ATTENTION :</span></strong> il est quand m&ecirc;me pr&eacute;f&eacute;rable pour vous, de v&eacute;rifier que le dossier &quot;<strong>install</strong>&quot; et son contenu, ont bien &eacute;t&eacute; effac&eacute;s de votre serveur.';

echo '<br /><br />';

existe_encore('bout_actualiser.gif');
existe_encore('bout_modifier.gif');
existe_encore('bout_precedent.gif');
existe_encore('bout_suivant.gif');
existe_encore('bout_termine.gif');
existe_encore('bout_valider.gif');
existe_encore('index.php');
existe_encore('install.gif');
existe_encore('sep.gif');


if (@file_exists('index.php'))
{
    echo '<span class="erreur"><br /><br /><strong>ATTENTION</strong>: apr&egrave;s avoir cliqu&eacute; sur le bouton &quot;Termin&eacute;&quot; ci-dessous, vous devrez imp&eacute;rativement effacer manuellement tous les fichiers se trouvant dans le dossier &quot;install&quot;.</span><br />';
}

echo '<br /><br />';

echo 'Vous allez &ecirc;tre dirig&eacute; vers votre administration.<br />';
echo 'Entrez votre mot de passe et <span class="erreur"><strong>finissez la proc&eacute;dure d\'installation telle qu\'indiqu&eacute; dans la doc d\'install</strong></span>.';

echo '<br /><br />';
echo 'Cliquez sur "Termin&eacute;"';
echo '<br /><br />';

affiche_sep ();

                  echo '<div align="right"><a href="../admin_pass.php"><img src="../images/bout_termine.gif" border="0" width="100" height="22" alt="Termin&eacute;"></a></div>';

echo '</div>';
}

?>
</div>
<div align="center"><p>A.I-PifouEasyInstall <?php echo $versionPEI; ?></p></div>
</body>
</html>